Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateChatMember

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateChatMember

Enclosing class:
  TdApi

public static final class TdApi.UpdateChatMember extends TdApi.Update
User rights changed in a chat; for bots only.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`actorUserId`
Identifier of the user, changing the rights.
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`int`
`date`
Point in time (Unix timestamp) when the user rights was changed.
`TdApi.ChatInviteLink`
`inviteLink`
If user has joined the chat using an invite link, the invite link; may be null.
`TdApi.ChatMember`
`newChatMember`
New chat member.
`TdApi.ChatMember`
`oldChatMember`
Previous chat member.

## Constructor Summary

Constructors
Constructor
Description
`UpdateChatMember()`
User rights changed in a chat; for bots only.
`UpdateChatMember(long chatId, long actorUserId, int date, TdApi.ChatInviteLink inviteLink, TdApi.ChatMember oldChatMember, TdApi.ChatMember newChatMember)`
User rights changed in a chat; for bots only.
`UpdateChatMember(DataInput input)`
User rights changed in a chat; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### actorUserId

public long actorUserId
Identifier of the user, changing the rights.

### date

public int date
Point in time (Unix timestamp) when the user rights was changed.

### inviteLink

public TdApi.ChatInviteLink inviteLink
If user has joined the chat using an invite link, the invite link; may be null.

### oldChatMember

public TdApi.ChatMember oldChatMember
Previous chat member.

### newChatMember

public TdApi.ChatMember newChatMember
New chat member.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateChatMember

public UpdateChatMember()
User rights changed in a chat; for bots only.

### UpdateChatMember

public UpdateChatMember(long chatId, long actorUserId, int date, TdApi.ChatInviteLink inviteLink, TdApi.ChatMember oldChatMember, TdApi.ChatMember newChatMember)
User rights changed in a chat; for bots only.

Parameters:
  `chatId` - long Chat identifier.
  `actorUserId` - long Identifier of the user, changing the rights.
  `date` - int Point in time (Unix timestamp) when the user rights was changed.
  `inviteLink` - ChatInviteLink If user has joined the chat using an invite link, the invite link; may be null.
  `oldChatMember` - ChatMember Previous chat member.
  `newChatMember` - ChatMember New chat member.

### UpdateChatMember

public UpdateChatMember(DataInput input) throws IOException
User rights changed in a chat; for bots only.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`